Subject: Re: [PATCH net-next 03/12] vxlan: move IGMP join/leave to work queue

From: Cong Wang <[email-masked]>
Date: Tue, 11 Jun 2013 02:01:32 +0000 (UTC)

On Mon, 10 Jun 2013 at 20:24 GMT, Stephen Hemminger <[email-masked]> wrote:
> Do join/leave from work queue to avoid lock inversion problems
> between normal socket and RTNL. The code comes out cleaner
> as well.
>
> Uses Cong Wang's suggestion to turn refcnt into a real atomic
> since now need to handle case where last use of socket is IGMP
> worker.
>
> Also fixes race where vxlan_stop could be called after
> device was deleted on module removal. The call to rtnl_link_unregister
> would call dellink while vxlan device was still up. Reordering
> the calls fixes it.
>
> Signed-off-by: Stephen Hemminger <[email-masked]>
>

Tested-by: Cong Wang <[email-masked]>
Acked-by: Cong Wang <[email-masked]>